
  <div class="mat-elevation-z8 ">
    <div fxLayout="row" fxLayoutAlign="space-between center">
      
    <div fxLayout >
        <mat-form-field fxFlex="300px">
            <input matInput class="input" (keyup)="search($event.target.value)" placeholder="Order Id (Search)">
          </mat-form-field>
    </div>
    <div fxLayout  fxFlex="300px">
        <mat-form-field>
            <input matInput id="dateValue" [matDatepicker]="dp3" placeholder="Date" (dateInput)="dateSelect($event.value._d)"  [formControl]="date">
            <mat-datepicker-toggle matSuffix [for]="dp3"></mat-datepicker-toggle>
            <mat-datepicker #dp3 disabled="false"></mat-datepicker>
          </mat-form-field>
      </div>
    </div>
      
    <table mat-table [dataSource]="dataSource" matSort  >
      <ng-container matColumnDef="#">
          <th class="th1" mat-header-cell *matHeaderCellDef> # </th>
          <td mat-cell *matCellDef="let orders"> {{orders.id}} </td>
          <div class="space"></div>
        </ng-container>
    <!-- Position Column -->
    <ng-container matColumnDef="Order Id">
      <th class="th2" mat-header-cell *matHeaderCellDef mat-sort-header="orderId"> Order Id </th>
      <td mat-cell *matCellDef="let orders"> {{orders.orderId}} </td>
    </ng-container>

    <ng-container matColumnDef="Date">
      <th class="th3" mat-header-cell *matHeaderCellDef mat-sort-header="date"> Date </th>
      <td mat-cell *matCellDef="let orders"> {{orders.date}} </td>
    </ng-container>
      <!-- Name Column -->
      <ng-container matColumnDef="Time">
        <th class="th3" mat-header-cell *matHeaderCellDef mat-sort-header="time"> Time </th>
        <td mat-cell *matCellDef="let orders"> {{orders.time}} </td>
      </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="Who">
      <th class="th4" mat-header-cell *matHeaderCellDef   mat-sort-header="who"> Who </th>
      <td mat-cell *matCellDef="let orders"> {{orders.who}} </td>
    </ng-container>
  
    <!-- Weight Column -->
    <ng-container matColumnDef="Item">
      <th class="th5" mat-header-cell *matHeaderCellDef mat-sort-header="item"> Item </th>
      <td mat-cell *matCellDef="let orders"> {{orders.item}} </td>
    </ng-container>
  
    <!-- Symbol Column -->
    <ng-container matColumnDef="Quantity">
      <th class="th6" mat-header-cell *matHeaderCellDef mat-sort-header="quantity"> Quantity </th>
      <td mat-cell *matCellDef="let orders"> {{orders.quantity}} </td>
    </ng-container>

    <ng-container matColumnDef="Price">
        <th class="th7" mat-header-cell *matHeaderCellDef mat-sort-header="price"> Price </th>
        <td  mat-cell *matCellDef="let orders">&#x20B9;{{orders.price}} </td>
      </ng-container>

      <ng-container matColumnDef="Status" >
          <th class="th8" mat-header-cell *matHeaderCellDef mat-sort-header="status"> Status </th>
          <td  class="th8" mat-cell *matCellDef="let orders">
            <div [ngSwitch]="orders.status">
                <div *ngSwitchCase ="'waiting'">
                    <mat-button-toggle-group class="approvedStatus">
                        <mat-button-toggle class="apporveCheck" value="apporve"> <mat-icon>check_circle</mat-icon> Approve</mat-button-toggle>
                        <mat-button-toggle class="declineCheck"value="decline">  <mat-icon>cancel</mat-icon> Decline</mat-button-toggle>                     
                      </mat-button-toggle-group>
                </div> 
                <div *ngSwitchCase ="'approved'">
                    <button mat-mini-fab  disabled class="approveButton" >
                        <mat-icon>done</mat-icon>
                      </button>
                </div> 
                <div *ngSwitchCase ="'decline'">
                    <button mat-mini-fab disabled  class="declineButton" >
                        <mat-icon>clear</mat-icon>
                      </button>                 
                </div> 

            </div>

            <!-- <div *ngIf="orders.status=='waiting'; else approved">
                <button class="approveButton" mat-flat-button >Waiting</button>
            </div>
            <ng-template #approved>
                <button class="approveButton" disabled mat-flat-button >Approved</button>
            </ng-template> 
            <ng-template #waiting>
                <button class="approveButton" disabled mat-flat-button >Waiting</button>
            </ng-template>  -->
           
          </td>
            

            
            
        </ng-container>
       
    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <div *ngIf="dataSource.filteredData.length === 0">
    <div fxLayout fxFlex="100%"  fxLayoutAlign="center center"> No Records Found! </div>
    </div>
  <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
  
  </div>
  